Update site security rule
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/security-rules/{securityRule}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Restricted Access',
'credentials' => [
[
'username' => 'admin',
'password' => 'secret123'
]
],
'path' => '/admin'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request PUT \
--url https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/security-rules/{securityRule} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Restricted Access",
"credentials": [
{
"username": "admin",
"password": "secret123"
}
],
"path": "/admin"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Restricted Access',
credentials: [{username: 'admin', password: 'secret123'}],
path: '/admin'
})
};
fetch('https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/security-rules/{securityRule}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/security-rules/{securityRule}"
payload := strings.NewReader("{\n \"name\": \"Restricted Access\",\n \"credentials\": [\n {\n \"username\": \"admin\",\n \"password\": \"secret123\"\n }\n ],\n \"path\": \"/admin\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Security Rules
Update site security rule
Update an existing security rule for a site.
Processing mode: async
PUT
/
orgs
/
{organization}
/
servers
/
{server}
/
sites
/
{site}
/
security-rules
/
{securityRule}
Update site security rule
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/security-rules/{securityRule}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Restricted Access',
'credentials' => [
[
'username' => 'admin',
'password' => 'secret123'
]
],
'path' => '/admin'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization slug
The server ID
The site ID
The security rule ID
Body
application/json
The name of the security rule.
Maximum string length:
255Example:
"Restricted Access"
The credentials for the security rule.
Minimum array length:
1Show child attributes
Show child attributes
The path for the security rule.
Maximum string length:
255Example:
"/admin"
Response
Accepted
Was this page helpful?
⌘I